@import "mixins";

.revolutionary__editor {
  @include container;
  text-align: center;
}

.privilege__for__time {
  @include font_montserrat_400;
  color: #848E97;
  padding: 42px 0 66px;
}

.title__section__revolutionary {
  @include font_montserrat_700;
  font-size: 54px;
  color: #635C73;
  text-transform: uppercase;
  margin-bottom: 35px;
}

.about__course {
  width: 870px;
  @include font_lato_400;
  font-size: 21px;
  margin: auto auto 20px;
}

.rating__item {
  padding: 5px 10px;
  background-color: #f5f5f5;
  border: 2px solid #d5d5d5;
  @include font_montserrat_400;
  color: black;
  font-size: 15px;
  text-decoration: none;

  svg {
    position: relative;
    top:3px;
    padding-right: 5px;
  }
}
.popularity__statistics {
  @include font_montserrat_400;
  position: relative;
  right: 5px;
  padding: 5px 10px;
  margin-right: 10px;
  border-top: 1px solid #d5d5d5;
  border-right: 2px solid #d5d5d5;
  border-bottom: 2px solid #d5d5d5;
}
.our__rating {
  margin-bottom: 70px;
}
/*Here__is__what__you__get*/

.here__is__what__you__get {
  padding: 94px 0 71px;
  background-color: #f4f4f4;
}
.here__is__block {
  max-width: 1200px;
  margin: auto;
  display: grid;
  grid-template-columns: repeat(1,1fr);
  grid-template-rows: repeat(1, 1fr);
  grid-template-areas:
   "information__block title__section3"
   "information__block here__is__code__photo ";
}
.information__block {
  grid-area: information__block;
}
.title__section3 {
  grid-area: title__section3;
  text-align: center;
  @include font_montserrat_700;
  color: #8D81AC;
  font-size: 48px;
}
.here__is__code__photo{
  max-width: 100%;
  grid-area: title__section3;
  margin-top: 34px;
}
.information__item__title{
  @include font_montserrat_400;
  font-size: 16px;
  margin-bottom: 16px;
}
.information__item__paragraph{
  @include font_montserrat_400;
  font-size: 14px;
  width: 300px;
  color: #848E97;
}
.information__item {
  display: flex;
  justify-content: flex-start;
  align-items: flex-end;
  flex-direction: row;
  margin-bottom: 50px;
}

.information__img__1 {
  margin: 0 18px 12px 0;
}
.information__img__2 {
  margin: 0 39px 9px 0;
}
.information__img__3 {
  margin: 0 53px 11px 16px;
}
.information__img__4 {
  margin: 0 49px 15px 12px;
}
.class__adaptation__427 {
  display: inline;
}
@media only screen and (max-width: 768px) {
  .title__section__revolutionary {
    margin: auto;
  }
  .here__is__what__you__get {
    background: rgba(0, 0, 0, 0.0001);
  }
  .here__is__block {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-template-rows: repeat(1, 1fr);
    grid-template-areas:
   " title__section3"
   " information__block "
    " here__is__code__photo "
  }

  .here__is__code__photo{
    grid-area: title__section3;
    margin-top: 0;
  }
  .here__is__code__photo{
    grid-area: here__is__code__photo;
    margin-top: 34px;
  }
  .about__course{
    max-width:  666px;
  }
  .information__item__title {
    margin-bottom: 5px;
  }
  .information__item__paragraph{
    max-width: 100%;
  }
  .information__img__1 {
    margin: 0 18px 0      0;
  }
  .information__img__2 {
    margin: 0 39px 0 0;
  }
  .information__img__3 {
    margin: 0 53px 0 16px;
  }
  .information__img__4 {
    margin: 0 49px 0 12px;
  }
}
@media only screen and (max-width: 320px) {
  .here__is__what__you__get {
    background: rgba(0, 0, 0, 0.0001);
  }
  .title__section__revolutionary{
    width: 273px;
    font-size: 25px;
  }
  .about__course {
    width: 276px;
    font-size: 14px;
  }
  .rating__item {
    padding: 3px 6px;
    font-size: 12px;
    width: 251px;
  }
  .popularity__statistics {
    font-size: 10px;
  }
  .class__adaptation__320 {
    line-height: 80px;
  }
  .our__rating {
    margin-bottom: 0;
  }
  .title__section3 {
    margin: auto auto 36px;
    width: 230px;
    font-size: 32px;
  }
  .information__item {
    display: flex;
    text-align: center;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .information__item__title {
    margin: 14px 0 27px;
  }
  .information__img__1 {
    margin-left: 56px;
  }
  .information__img__2 {
    margin: 0;
  }
  .information__img__3 {
    margin: 0;
  }
  .information__img__4 {
    margin: 0;
  }
}
@media only screen and (max-width: 427px) {
  .class__adaptation__427 {
    display: block;
  }

}